Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.model
Interface VTTemplatePackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VTTemplatePackageImpl

    public interface VTTemplatePackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

See Also:
  `VTTemplateFactory`

Nested Class Summary
`static interface` | `VTTemplatePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `CONTROL_VALIDATION_TEMPLATE` The meta object id for the '`Control Validation Template`' class.
`static int` | `CONTROL_VALIDATION_TEMPLATE__CANCEL_COLOR_HEX` The feature id for the 'Cancel Color HEX' attribute.
`static int` | `CONTROL_VALIDATION_TEMPLATE__CANCEL_IMAGE_URL` The feature id for the 'Cancel Image URL' attribute.
`static int` | `CONTROL_VALIDATION_TEMPLATE__CANCEL_OVERLAY_URL` The feature id for the 'Cancel Overlay URL' attribute.
`static int` | `CONTROL_VALIDATION_TEMPLATE__ERROR_COLOR_HEX` The feature id for the 'Error Color HEX' attribute.
`static int` | `CONTROL_VALIDATION_TEMPLATE__ERROR_IMAGE_URL` The feature id for the 'Error Image URL' attribute.
`static int` | `CONTROL_VALIDATION_TEMPLATE__ERROR_OVERLAY_URL` The feature id for the 'Error Overlay URL' attribute.
`static int` | `CONTROL_VALIDATION_TEMPLATE__INFO_COLOR_HEX` The feature id for the 'Info Color HEX' attribute.
`static int` | `CONTROL_VALIDATION_TEMPLATE__INFO_IMAGE_URL` The feature id for the 'Info Image URL' attribute.
`static int` | `CONTROL_VALIDATION_TEMPLATE__INFO_OVERLAY_URL` The feature id for the 'Info Overlay URL' attribute.
`static int` | `CONTROL_VALIDATION_TEMPLATE__OK_COLOR_HEX` The feature id for the 'Ok Color HEX' attribute.
`static int` | `CONTROL_VALIDATION_TEMPLATE__OK_IMAGE_URL` The feature id for the 'Ok Image URL' attribute.
`static int` | `CONTROL_VALIDATION_TEMPLATE__OK_OVERLAY_URL` The feature id for the 'Ok Overlay URL' attribute.
`static int` | `CONTROL_VALIDATION_TEMPLATE__WARNING_COLOR_HEX` The feature id for the 'Warning Color HEX' attribute.
`static int` | `CONTROL_VALIDATION_TEMPLATE__WARNING_IMAGE_URL` The feature id for the 'Warning Image URL' attribute.
`static int` | `CONTROL_VALIDATION_TEMPLATE__WARNING_OVERLAY_URL` The feature id for the 'Warning Overlay URL' attribute.
`static int` | `CONTROL_VALIDATION_TEMPLATE_FEATURE_COUNT` The number of structural features of the 'Control Validation Template' class.
`static int` | `CONTROL_VALIDATION_TEMPLATE_OPERATION_COUNT` The number of operations of the 'Control Validation Template' class.
`static VTTemplatePackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.
`static int` | `STYLE` The meta object id for the '`Style`' class.
`static int` | `STYLE__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` | `STYLE__SELECTOR` The feature id for the 'Selector' containment reference.
`static int` | `STYLE_FEATURE_COUNT` The number of structural features of the 'Style' class.
`static int` | `STYLE_OPERATION_COUNT` The number of operations of the 'Style' class.
`static int` | `STYLE_PROPERTY` The meta object id for the '`Style Property`' class.
`static int` | `STYLE_PROPERTY_FEATURE_COUNT` The number of structural features of the 'Style Property' class.
`static int` | `STYLE_PROPERTY_OPERATION_COUNT` The number of operations of the 'Style Property' class.
`static int` | `STYLE_SELECTOR` The meta object id for the '`Style Selector`' class.
`static int` | `STYLE_SELECTOR_FEATURE_COUNT` The number of structural features of the 'Style Selector' class.
`static int` | `STYLE_SELECTOR_OPERATION_COUNT` The number of operations of the 'Style Selector' class.
`static int` | `VIEW_TEMPLATE` The meta object id for the '`View Template`' class.
`static int` | `VIEW_TEMPLATE__CONTROL_VALIDATION_CONFIGURATION` The feature id for the 'Control Validation Configuration' containment reference.
`static int` | `VIEW_TEMPLATE__REFERENCED_ECORES` The feature id for the 'Referenced Ecores' attribute list.
`static int` | `VIEW_TEMPLATE__STYLES` The feature id for the 'Styles' containment reference list.
`static int` | `VIEW_TEMPLATE_FEATURE_COUNT` The number of structural features of the 'View Template' class.
`static int` | `VIEW_TEMPLATE_OPERATION_COUNT` The number of operations of the 'View Template' class.

Method Summary
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_CancelColorHEX()` Returns the meta object for the attribute ' `Cancel Color HEX`'.
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_CancelImageURL()` Returns the meta object for the attribute ' `Cancel Image URL`'.
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_CancelOverlayURL()` Returns the meta object for the attribute ' `Cancel Overlay URL`'.
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_ErrorColorHEX()` Returns the meta object for the attribute ' `Error Color HEX`'.
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_ErrorImageURL()` Returns the meta object for the attribute ' `Error Image URL`'.
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_ErrorOverlayURL()` Returns the meta object for the attribute ' `Error Overlay URL`'.
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_InfoColorHEX()` Returns the meta object for the attribute ' `Info Color HEX`'.
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_InfoImageURL()` Returns the meta object for the attribute ' `Info Image URL`'.
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_InfoOverlayURL()` Returns the meta object for the attribute ' `Info Overlay URL`'.
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_OkColorHEX()` Returns the meta object for the attribute ' `Ok Color HEX`'.
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_OkImageURL()` Returns the meta object for the attribute ' `Ok Image URL`'.
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_OkOverlayURL()` Returns the meta object for the attribute ' `Ok Overlay URL`'.
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_WarningColorHEX()` Returns the meta object for the attribute ' `Warning Color HEX`'.
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_WarningImageURL()` Returns the meta object for the attribute ' `Warning Image URL`'.
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_WarningOverlayURL()` Returns the meta object for the attribute ' `Warning Overlay URL`'.
`org.eclipse.emf.ecore.EClass` | `getControlValidationTemplate()` Returns the meta object for class '`Control Validation Template`'.
`org.eclipse.emf.ecore.EReference` | `getStyle_Properties()` Returns the meta object for the containment reference list ' `Properties`'.
`org.eclipse.emf.ecore.EReference` | `getStyle_Selector()` Returns the meta object for the containment reference ' `Selector`'.
`org.eclipse.emf.ecore.EClass` | `getStyle()` Returns the meta object for class '`Style`'.
`org.eclipse.emf.ecore.EClass` | `getStyleProperty()` Returns the meta object for class '`Style Property`'.
`org.eclipse.emf.ecore.EClass` | `getStyleSelector()` Returns the meta object for class '`Style Selector`'.
`VTTemplateFactory` | `getTemplateFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` | `getViewTemplate_ControlValidationConfiguration()` Returns the meta object for the containment reference ' `Control Validation Configuration`'.
`org.eclipse.emf.ecore.EAttribute` | `getViewTemplate_ReferencedEcores()` Returns the meta object for the attribute list ' `Referenced Ecores`'.
`org.eclipse.emf.ecore.EReference` | `getViewTemplate_Styles()` Returns the meta object for the containment reference list ' `Styles`'.
`org.eclipse.emf.ecore.EClass` | `getViewTemplate()` Returns the meta object for class '`View Template`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final VTTemplatePackage eINSTANCE

  The singleton instance of the package.

### VIEW_TEMPLATE

    static final int VIEW_TEMPLATE

  The meta object id for the '`View Template`' class.

  See Also:
    `VTViewTemplateImpl`, `VTTemplatePackageImpl.getViewTemplate()`, Constant Field Values

### VIEW_TEMPLATE__CONTROL_VALIDATION_CONFIGURATION

    static final int VIEW_TEMPLATE__CONTROL_VALIDATION_CONFIGURATION

  The feature id for the 'Control Validation Configuration' containment reference.

  See Also:
    Constant Field Values

### VIEW_TEMPLATE__STYLES

    static final int VIEW_TEMPLATE__STYLES

  The feature id for the 'Styles' containment reference list.

  See Also:
    Constant Field Values

### VIEW_TEMPLATE__REFERENCED_ECORES

    static final int VIEW_TEMPLATE__REFERENCED_ECORES

  The feature id for the 'Referenced Ecores' attribute list.

  See Also:
    Constant Field Values

### VIEW_TEMPLATE_FEATURE_COUNT

    static final int VIEW_TEMPLATE_FEATURE_COUNT

  The number of structural features of the 'View Template' class.

  See Also:
    Constant Field Values

### VIEW_TEMPLATE_OPERATION_COUNT

    static final int VIEW_TEMPLATE_OPERATION_COUNT

  The number of operations of the 'View Template' class.

  See Also:
    Constant Field Values

### CONTROL_VALIDATION_TEMPLATE

    static final int CONTROL_VALIDATION_TEMPLATE

  The meta object id for the '`Control Validation Template`' class.

  See Also:
    `VTControlValidationTemplateImpl`, `VTTemplatePackageImpl.getControlValidationTemplate()`, Constant Field Values

### CONTROL_VALIDATION_TEMPLATE__OK_COLOR_HEX

    static final int CONTROL_VALIDATION_TEMPLATE__OK_COLOR_HEX

  The feature id for the 'Ok Color HEX' attribute.

  See Also:
    Constant Field Values

### CONTROL_VALIDATION_TEMPLATE__OK_IMAGE_URL

    static final int CONTROL_VALIDATION_TEMPLATE__OK_IMAGE_URL

  The feature id for the 'Ok Image URL' attribute.

  See Also:
    Constant Field Values

### CONTROL_VALIDATION_TEMPLATE__OK_OVERLAY_URL

    static final int CONTROL_VALIDATION_TEMPLATE__OK_OVERLAY_URL

  The feature id for the 'Ok Overlay URL' attribute.

  See Also:
    Constant Field Values

### CONTROL_VALIDATION_TEMPLATE__INFO_COLOR_HEX

    static final int CONTROL_VALIDATION_TEMPLATE__INFO_COLOR_HEX

  The feature id for the 'Info Color HEX' attribute.

  See Also:
    Constant Field Values

### CONTROL_VALIDATION_TEMPLATE__INFO_IMAGE_URL

    static final int CONTROL_VALIDATION_TEMPLATE__INFO_IMAGE_URL

  The feature id for the 'Info Image URL' attribute.

  See Also:
    Constant Field Values

### CONTROL_VALIDATION_TEMPLATE__INFO_OVERLAY_URL

    static final int CONTROL_VALIDATION_TEMPLATE__INFO_OVERLAY_URL

  The feature id for the 'Info Overlay URL' attribute.

  See Also:
    Constant Field Values

### CONTROL_VALIDATION_TEMPLATE__WARNING_COLOR_HEX

    static final int CONTROL_VALIDATION_TEMPLATE__WARNING_COLOR_HEX

  The feature id for the 'Warning Color HEX' attribute.

  See Also:
    Constant Field Values

### CONTROL_VALIDATION_TEMPLATE__WARNING_IMAGE_URL

    static final int CONTROL_VALIDATION_TEMPLATE__WARNING_IMAGE_URL

  The feature id for the 'Warning Image URL' attribute.

  See Also:
    Constant Field Values

### CONTROL_VALIDATION_TEMPLATE__WARNING_OVERLAY_URL

    static final int CONTROL_VALIDATION_TEMPLATE__WARNING_OVERLAY_URL

  The feature id for the 'Warning Overlay URL' attribute.

  See Also:
    Constant Field Values

### CONTROL_VALIDATION_TEMPLATE__ERROR_COLOR_HEX

    static final int CONTROL_VALIDATION_TEMPLATE__ERROR_COLOR_HEX

  The feature id for the 'Error Color HEX' attribute.

  See Also:
    Constant Field Values

### CONTROL_VALIDATION_TEMPLATE__ERROR_IMAGE_URL

    static final int CONTROL_VALIDATION_TEMPLATE__ERROR_IMAGE_URL

  The feature id for the 'Error Image URL' attribute.

  See Also:
    Constant Field Values

### CONTROL_VALIDATION_TEMPLATE__ERROR_OVERLAY_URL

    static final int CONTROL_VALIDATION_TEMPLATE__ERROR_OVERLAY_URL

  The feature id for the 'Error Overlay URL' attribute.

  See Also:
    Constant Field Values

### CONTROL_VALIDATION_TEMPLATE__CANCEL_COLOR_HEX

    static final int CONTROL_VALIDATION_TEMPLATE__CANCEL_COLOR_HEX

  The feature id for the 'Cancel Color HEX' attribute.

  See Also:
    Constant Field Values

### CONTROL_VALIDATION_TEMPLATE__CANCEL_IMAGE_URL

    static final int CONTROL_VALIDATION_TEMPLATE__CANCEL_IMAGE_URL

  The feature id for the 'Cancel Image URL' attribute.

  See Also:
    Constant Field Values

### CONTROL_VALIDATION_TEMPLATE__CANCEL_OVERLAY_URL

    static final int CONTROL_VALIDATION_TEMPLATE__CANCEL_OVERLAY_URL

  The feature id for the 'Cancel Overlay URL' attribute.

  See Also:
    Constant Field Values

### CONTROL_VALIDATION_TEMPLATE_FEATURE_COUNT

    static final int CONTROL_VALIDATION_TEMPLATE_FEATURE_COUNT

  The number of structural features of the 'Control Validation Template' class.

  See Also:
    Constant Field Values

### CONTROL_VALIDATION_TEMPLATE_OPERATION_COUNT

    static final int CONTROL_VALIDATION_TEMPLATE_OPERATION_COUNT

  The number of operations of the 'Control Validation Template' class.

  See Also:
    Constant Field Values

### STYLE

    static final int STYLE

  The meta object id for the '`Style`' class.

  See Also:
    `VTStyleImpl`, `VTTemplatePackageImpl.getStyle()`, Constant Field Values

### STYLE__SELECTOR

    static final int STYLE__SELECTOR

  The feature id for the 'Selector' containment reference.

  See Also:
    Constant Field Values

### STYLE__PROPERTIES

    static final int STYLE__PROPERTIES

  The feature id for the 'Properties' containment reference list.

  See Also:
    Constant Field Values

### STYLE_FEATURE_COUNT

    static final int STYLE_FEATURE_COUNT

  The number of structural features of the 'Style' class.

  See Also:
    Constant Field Values

### STYLE_OPERATION_COUNT

    static final int STYLE_OPERATION_COUNT

  The number of operations of the 'Style' class.

  See Also:
    Constant Field Values

### STYLE_PROPERTY

    static final int STYLE_PROPERTY

  The meta object id for the '`Style Property`' class.

  See Also:
    `VTStyleProperty`, `VTTemplatePackageImpl.getStyleProperty()`, Constant Field Values

### STYLE_PROPERTY_FEATURE_COUNT

    static final int STYLE_PROPERTY_FEATURE_COUNT

  The number of structural features of the 'Style Property' class.

  See Also:
    Constant Field Values

### STYLE_PROPERTY_OPERATION_COUNT

    static final int STYLE_PROPERTY_OPERATION_COUNT

  The number of operations of the 'Style Property' class.

  See Also:
    Constant Field Values

### STYLE_SELECTOR

    static final int STYLE_SELECTOR

  The meta object id for the '`Style Selector`' class.

  See Also:
    `VTStyleSelector`, `VTTemplatePackageImpl.getStyleSelector()`, Constant Field Values

### STYLE_SELECTOR_FEATURE_COUNT

    static final int STYLE_SELECTOR_FEATURE_COUNT

  The number of structural features of the 'Style Selector' class.

  See Also:
    Constant Field Values

### STYLE_SELECTOR_OPERATION_COUNT

    static final int STYLE_SELECTOR_OPERATION_COUNT

  The number of operations of the 'Style Selector' class.

  See Also:
    Constant Field Values

Method Detail

### getViewTemplate

    org.eclipse.emf.ecore.EClass getViewTemplate()

  Returns the meta object for class '`View Template`'.

  Returns:
    the meta object for class 'View Template'.
  See Also:
    `VTViewTemplate`

### getViewTemplate_ControlValidationConfiguration

    org.eclipse.emf.ecore.EReference getViewTemplate_ControlValidationConfiguration()

  Returns the meta object for the containment reference ' `Control Validation Configuration`'.

  Returns:
    the meta object for the containment reference 'Control Validation Configuration'.
  See Also:
    `VTViewTemplate.getControlValidationConfiguration()`, `getViewTemplate()`

### getViewTemplate_Styles

    org.eclipse.emf.ecore.EReference getViewTemplate_Styles()

  Returns the meta object for the containment reference list ' `Styles`'.

  Returns:
    the meta object for the containment reference list 'Styles'.
  See Also:
    `VTViewTemplate.getStyles()`, `getViewTemplate()`

### getViewTemplate_ReferencedEcores

    org.eclipse.emf.ecore.EAttribute getViewTemplate_ReferencedEcores()

  Returns the meta object for the attribute list ' `Referenced Ecores`'.

  Returns:
    the meta object for the attribute list 'Referenced Ecores'.
  See Also:
    `VTViewTemplate.getReferencedEcores()`, `getViewTemplate()`

### getControlValidationTemplate

    org.eclipse.emf.ecore.EClass getControlValidationTemplate()

  Returns the meta object for class '`Control Validation Template`'.

  Returns:
    the meta object for class 'Control Validation Template'.
  See Also:
    `VTControlValidationTemplate`

### getControlValidationTemplate_OkColorHEX

    org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_OkColorHEX()

  Returns the meta object for the attribute ' `Ok Color HEX`'.

  Returns:
    the meta object for the attribute 'Ok Color HEX'.
  See Also:
    `VTControlValidationTemplate.getOkColorHEX()`, `getControlValidationTemplate()`

### getControlValidationTemplate_OkImageURL

    org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_OkImageURL()

  Returns the meta object for the attribute ' `Ok Image URL`'.

  Returns:
    the meta object for the attribute 'Ok Image URL'.
  See Also:
    `VTControlValidationTemplate.getOkImageURL()`, `getControlValidationTemplate()`

### getControlValidationTemplate_OkOverlayURL

    org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_OkOverlayURL()

  Returns the meta object for the attribute ' `Ok Overlay URL`'.

  Returns:
    the meta object for the attribute 'Ok Overlay URL'.
  See Also:
    `VTControlValidationTemplate.getOkOverlayURL()`, `getControlValidationTemplate()`

### getControlValidationTemplate_InfoColorHEX

    org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_InfoColorHEX()

  Returns the meta object for the attribute ' `Info Color HEX`'.

  Returns:
    the meta object for the attribute 'Info Color HEX'.
  See Also:
    `VTControlValidationTemplate.getInfoColorHEX()`, `getControlValidationTemplate()`

### getControlValidationTemplate_InfoImageURL

    org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_InfoImageURL()

  Returns the meta object for the attribute ' `Info Image URL`'.

  Returns:
    the meta object for the attribute 'Info Image URL'.
  See Also:
    `VTControlValidationTemplate.getInfoImageURL()`, `getControlValidationTemplate()`

### getControlValidationTemplate_InfoOverlayURL

    org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_InfoOverlayURL()

  Returns the meta object for the attribute ' `Info Overlay URL`'.

  Returns:
    the meta object for the attribute 'Info Overlay URL'.
  See Also:
    `VTControlValidationTemplate.getInfoOverlayURL()`, `getControlValidationTemplate()`

### getControlValidationTemplate_WarningColorHEX

    org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_WarningColorHEX()

  Returns the meta object for the attribute ' `Warning Color HEX`'.

  Returns:
    the meta object for the attribute 'Warning Color HEX'.
  See Also:
    `VTControlValidationTemplate.getWarningColorHEX()`, `getControlValidationTemplate()`

### getControlValidationTemplate_WarningImageURL

    org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_WarningImageURL()

  Returns the meta object for the attribute ' `Warning Image URL`'.

  Returns:
    the meta object for the attribute 'Warning Image URL'.
  See Also:
    `VTControlValidationTemplate.getWarningImageURL()`, `getControlValidationTemplate()`

### getControlValidationTemplate_WarningOverlayURL

    org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_WarningOverlayURL()

  Returns the meta object for the attribute ' `Warning Overlay URL`'.

  Returns:
    the meta object for the attribute 'Warning Overlay URL'.
  See Also:
    `VTControlValidationTemplate.getWarningOverlayURL()`, `getControlValidationTemplate()`

### getControlValidationTemplate_ErrorColorHEX

    org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_ErrorColorHEX()

  Returns the meta object for the attribute ' `Error Color HEX`'.

  Returns:
    the meta object for the attribute 'Error Color HEX'.
  See Also:
    `VTControlValidationTemplate.getErrorColorHEX()`, `getControlValidationTemplate()`

### getControlValidationTemplate_ErrorImageURL

    org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_ErrorImageURL()

  Returns the meta object for the attribute ' `Error Image URL`'.

  Returns:
    the meta object for the attribute 'Error Image URL'.
  See Also:
    `VTControlValidationTemplate.getErrorImageURL()`, `getControlValidationTemplate()`

### getControlValidationTemplate_ErrorOverlayURL

    org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_ErrorOverlayURL()

  Returns the meta object for the attribute ' `Error Overlay URL`'.

  Returns:
    the meta object for the attribute 'Error Overlay URL'.
  See Also:
    `VTControlValidationTemplate.getErrorOverlayURL()`, `getControlValidationTemplate()`

### getControlValidationTemplate_CancelColorHEX

    org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_CancelColorHEX()

  Returns the meta object for the attribute ' `Cancel Color HEX`'.

  Returns:
    the meta object for the attribute 'Cancel Color HEX'.
  See Also:
    `VTControlValidationTemplate.getCancelColorHEX()`, `getControlValidationTemplate()`

### getControlValidationTemplate_CancelImageURL

    org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_CancelImageURL()

  Returns the meta object for the attribute ' `Cancel Image URL`'.

  Returns:
    the meta object for the attribute 'Cancel Image URL'.
  See Also:
    `VTControlValidationTemplate.getCancelImageURL()`, `getControlValidationTemplate()`

### getControlValidationTemplate_CancelOverlayURL

    org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_CancelOverlayURL()

  Returns the meta object for the attribute ' `Cancel Overlay URL`'.

  Returns:
    the meta object for the attribute 'Cancel Overlay URL'.
  See Also:
    `VTControlValidationTemplate.getCancelOverlayURL()`, `getControlValidationTemplate()`

### getStyle

    org.eclipse.emf.ecore.EClass getStyle()

  Returns the meta object for class '`Style`'.

  Returns:
    the meta object for class 'Style'.
  See Also:
    `VTStyle`

### getStyle_Selector

    org.eclipse.emf.ecore.EReference getStyle_Selector()

  Returns the meta object for the containment reference ' `Selector`'.

  Returns:
    the meta object for the containment reference 'Selector'.
  See Also:
    `VTStyle.getSelector()`, `getStyle()`

### getStyle_Properties

    org.eclipse.emf.ecore.EReference getStyle_Properties()

  Returns the meta object for the containment reference list ' `Properties`'.

  Returns:
    the meta object for the containment reference list 'Properties'.
  See Also:
    `VTStyle.getProperties()`, `getStyle()`

### getStyleProperty

    org.eclipse.emf.ecore.EClass getStyleProperty()

  Returns the meta object for class '`Style Property`'.

  Returns:
    the meta object for class 'Style Property'.
  See Also:
    `VTStyleProperty`

### getStyleSelector

    org.eclipse.emf.ecore.EClass getStyleSelector()

  Returns the meta object for class '`Style Selector`'.

  Returns:
    the meta object for class 'Style Selector'.
  See Also:
    `VTStyleSelector`

### getTemplateFactory

    VTTemplateFactory getTemplateFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.